class_name RoundRobinManager extends PlayManager
## Players take turns one after the other, looping back to the first player at the end.


func on_initialization() -> void:
	print("IN ON_INITIALIZATION")
	# Set first player as active
	players[0].shot_setup.phase = ShotSetup.Phase.AIM


func on_turn_finished(source: ShotSetup) -> void:
	print_debug("Shot finished for ", source.player.name)
	players.push_back(players.pop_front())
	players[0].shot_setup.queue_restart()
